Main Index
Help For KMSProcessInfo

Creatable Classes	Objects

Description
Show process info (NT only).

File Name
KMSPROCESSINFO.DLL

ActiveX Compatibility
Microsoft Visual Basic 4.0, 5.0 and 6.0

Built Using
Microsoft Visual C++ 6.0, ATL

Required DLLs
Vanalles


Creatable Classes

These are the creatable classes defined in KMSProcessInfo :

ProcessInfo	ProcessInfo Class


ProcessInfo Creatable Class

Properties	Methods

Description
IProcessInfo Interface

Syntax
Set object = KMSProcessInfo.ProcessInfo


Objects

These are the objects declared in KMSProcessInfo :

IProcessInfo	IProcessInfo Interface


IProcessInfo Object

Properties	Methods

Description

Syntax
Set object = KMSProcessInfo.IProcessInfo


Properties (IProcessInfo Object)

These are the available properties :

ProcessCount	Returns the number of processes
ProcessID	Returns the process ID
ProcessName	Returns the process Name
RemotePC	Sets or gets the PC name from which the processes are retrieved


ProcessCount Property (IProcessInfo Object)

See also

Description
Returns the number of processes

Syntax
object.ProcessCount

The syntax of the ProcessCount property has these parts:

Part	Type	Description
object	KMSProcessInfo	[Required] A KMSProcessInfo object
Remarks
See also : GetProcessInfo

Data Type
SHORT


ProcessID Property (IProcessInfo Object)

See also

Description
Returns the process ID

Syntax
object.ProcessID iNr

The syntax of the ProcessID property has these parts:

Part	Type	Description
object	KMSProcessInfo	[Required] A KMSProcessInfo object
iNr	INTEGER	[Required] ByVal.
Remarks
See also : GetProcessInfo

Data Type
LONG


ProcessName Property (IProcessInfo Object)

See also

Description
Returns the process Name

Syntax
object.ProcessName iNr

The syntax of the ProcessName property has these parts:

Part	Type	Description
object	KMSProcessInfo	[Required] A KMSProcessInfo object
iNr	INTEGER	[Required] ByVal.
Remarks
See also : GetProcessInfo

Data Type
BSTR


RemotePC Property (IProcessInfo Object)

See also

Description
Sets or gets the PC name from which the processes are retrieved

Syntax
object.RemotePC

The syntax of the RemotePC property has these parts:

Part	Type	Description
object	KMSProcessInfo	[Required] A KMSProcessInfo object
Remarks
You have to set this property prior to calling the GetProcessInfo method.

Note
This property is only used to view the process on another machine. Starting a new one or ending one on another machine is not possible.

Data Type
BSTR


Methods (IProcessInfo Object)

These are the available properties :

GetProcessInfo	Retrieves the process information
StartProcess	Starts a new process
TerminateProcess	Terminates a process


GetProcessInfo Method (IProcessInfo Object)

See also

Description
Retrieves the process information

Syntax
object.GetProcessInfo

The syntax of the GetProcessInfo method has these parts:

Part	Type	Description
object	KMSProcessInfo	[Required] A KMSProcessInfo object
Remarks
This method returns a collection of processes. You can address each process individually by using the ProcessID or ProcessName properties. The ProcessCount property indicates the total number of processes in the collection.

Data Type
VOID


StartProcess Method (IProcessInfo Object)

Description
Starts a new process

Syntax
object.StartProcess bstrAppName, bstrAppParameters, bstrPath, bWait

The syntax of the StartProcess method has these parts:

Part	Type	Description
object	KMSProcessInfo	[Required] A KMSProcessInfo object
bstrAppName	BSTR	[Required] ByVal.
bstrAppParameters	BSTR	[Required] ByVal.
bstrPath	BSTR	[Required] ByVal.
bWait	BOOLEAN	[Required] ByVal.
Note
You can only start up a new process on your local machine.

Data Type
LONG


TerminateProcess Method (IProcessInfo Object)

Description
Terminates a process

Syntax
object.TerminateProcess lPID

The syntax of the TerminateProcess method has these parts:

Part	Type	Description
object	KMSProcessInfo	[Required] A KMSProcessInfo object
lPID	LONG	[Required] ByVal.
Note
You can only terminate a process on your local machine.

Data Type
VOID


ProcessCount
ProcessID
ProcessName


GetProcessInfo


GetProcessInfo


GetProcessInfo


GetProcessInfo